summaryrefslogtreecommitdiff
path: root/source3/script/installswat.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>1998-03-12 03:12:30 +0000
committerAndrew Tridgell <tridge@samba.org>1998-03-12 03:12:30 +0000
commite5edc3e9f3008fbff8786be4650dd4e5aa7b152d (patch)
treec091f1fddc6137359ee6cd6b7633bd92c30602c7 /source3/script/installswat.sh
parent540af9b304400dc64498eab80a560f6c2209676c (diff)
downloadsamba-e5edc3e9f3008fbff8786be4650dd4e5aa7b152d.tar.gz
samba-e5edc3e9f3008fbff8786be4650dd4e5aa7b152d.tar.bz2
samba-e5edc3e9f3008fbff8786be4650dd4e5aa7b152d.zip
added an install target for SWAT
(This used to be commit 1a87b2c2b61b3785b6a6597b220fec611c5872e6)
Diffstat (limited to 'source3/script/installswat.sh')
-rwxr-xr-xsource3/script/installswat.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/source3/script/installswat.sh b/source3/script/installswat.sh
new file mode 100755
index 0000000000..dcdfc530b4
--- /dev/null
+++ b/source3/script/installswat.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+#fist version March 1998, Andrew Tridgell
+
+SWATDIR=$1
+SRCDIR=$2
+
+echo Installing the Samba Web Admisistration Tool
+
+for d in $SWATDIR $SWATDIR/help $SWATDIR/images; do
+if [ ! -d $d ]; then
+ mkdir $d
+if [ ! -d $d ]; then
+ echo Failed to make directory $d, does $USER have privileges?
+ exit 1
+fi
+fi
+done
+
+for f in $SRCDIR../swat/images/*.gif; do
+ FNAME=$SWATDIR/images/`basename $f`
+ echo $FNAME
+ cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
+ chmod 0644 $FNAME
+done
+
+for f in $SRCDIR../swat/help/*.html; do
+ FNAME=$SWATDIR/help/`basename $f`
+ echo $FNAME
+ cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
+ chmod 0644 $FNAME
+done
+
+cat << EOF
+======================================================================
+The SWAT files have been installed. Remember to read the web/README
+for information on enabling and using SWAT
+======================================================================
+EOF
+
+exit 0
+